Fix rubocop warnings
[rails.git] / .travis.yml
index 49da7b493a055e74df53245253e37de203af555c..ad8f7e599ea42dff4504becf9e0aaa15625a942d 100644 (file)
@@ -1,16 +1,20 @@
+sudo: false
 language: ruby
 rvm:
-  - 1.9.3
+  - 2.3.1
+cache: bundler
 addons:
   postgresql: 9.1
+  apt:
+    packages:
+      - postgresql-server-dev-9.1
 services:
   - memcached
 env:
   global:
     - OSM_MEMCACHE_SERVERS="127.0.0.1"
 before_script:
-  - sudo apt-get update
-  - sudo apt-get install postgresql-server-dev-9.1
+  - cp config/example.application.yml config/application.yml
   - psql -U postgres -c "CREATE DATABASE openstreetmap"
   - psql -U postgres -c "CREATE EXTENSION btree_gist" openstreetmap
   - make -C db/functions libpgosm.so
@@ -21,4 +25,5 @@ before_script:
   - bundle exec rake db:migrate
 script:
   - bundle exec rubocop -f fuubar
-  - bundle exec rake test
+  - bundle exec rake jshint
+  - bundle exec rake test:db